<template>
    <div>
        <el-container style="height: auto; border: 1px solid #eee">
            <el-container>
                <el-header style="text-align: right; font-size: 12px">
                    <el-input style="width: 30%; margin: 0 10px; padding: 0 15px" @input="filterTable"
                              placeholder="Введите название области"
                              v-model="input"></el-input>
                </el-header>
                <Table
                    :tableData="tableData"
                    :pageNumber="pageNumber"
                />
                <el-footer style="position: absolute; bottom: 0; width: 99%">
                    <el-pagination
                        @current-change="changeLink"
                        :small="false"
                        background
                        class="pagination"
                        :pager-count="7"
                        :current-page="pageNumber"
                        layout="prev, pager, next"
                        :total="tableData.length * 10">
                    </el-pagination>
                </el-footer>
            </el-container>
        </el-container>
    </div>
</template>
<style>
    .el-header {
        background-color: #B3C0D1;
        color: #333;
        line-height: 60px;
    }

    .el-aside {
        color: #333;
    }
    @media (max-width: 480px) {
        .el-pager {
            display: none !important;
        }
    }
</style>

<script>
  import Table from './table/table';
  import task from '../data/task.json'
  import _ from 'lodash'

  export default {
    components: { Table },
    data() {
      return {
        itemsOnPage: 7,
        pageNumber: 1,
        tableData: [],
        input: '',
      }
    },
    watch: {
    },
    computed: {
    },
    mounted() {
      this.getTableData()
    },
    methods: {
      changeLink(page) {
        this.pageNumber = page
      },
      getTableData() {
        this.tableData = _.chunk(task, this.itemsOnPage)
      },
      filterTable() {
        let data = Object.values(JSON.parse(JSON.stringify(task)))
        let filteredData = data.filter(item => {
          if (item.territory.toLowerCase().trim().includes(this.input.toLowerCase().trim())) return item
        })
        this.tableData = _.chunk(filteredData, this.itemsOnPage)
      }
    }
  };
</script>
